1. External Provider
BPN OpenAPI
  • Getting Started
    • Introduction to BPN
    • Key Concepts & Terminology
    • Architecture Overview
  • Onboarding & Prerequisites
    • Product Demo
    • Sandbox & Test Environment
    • Signature Authentication Mechanism
  • Use Case
    • Transfer
    • Vault
    • On/Off Ramp
    • Compliance (Travel Rule Information Submission)
    • Fiat Collection(BRL PIX for example)
  • API Reference
    • KYB
      • Share KYB/KYC Info For Sub User
      • Get KYB Sub User Status
    • Account Management
      • Inquiry Master VA Balance
      • Create Virtaul Account
      • Get Virtual Account Detail
      • List Virtual Account
      • Send Email Verify Code
      • Query bank info by account number
      • Payout via Virtual Account
      • Refund Virtual Account Order
      • Get Virtual Account Order Detail
      • List Virtual Account Orders
      • Submit Invoice
      • Get Invoice list Status
      • List Banks
      • Add Bank Account
      • List Bank Account
      • List RFI Sub Virtual Account
      • Get Sub Virtual Account RFI Template Info
      • Sub Virtual Account Submit RFI
    • Wallet
      • List Wallets
      • List Sub Account
      • Create Sub Account
      • Wallet Internal Transfer
      • Query Wallet Internal Transfer Detail
      • List Wallet Internal Transfer order
      • Get Asset Balance
      • Get Deposit Address
      • Add Deposit Sender
      • Add Withdraw Whitelist
      • Delete Withdraw Whiltelist
      • Request Withdraw
      • Query Transaction History
    • FX
      • Inquery FX Rate
    • BPN Transactions
      • Get Stablecoin Quote
      • Create Stable Order
      • Get Order (Single) Detail
      • List Orders(Batch)
    • Reconciliation
      • Get Reconciliation Order List By Page
    • Crypto Payment Link
      • Abnormal fund
        • Abnormal funds
        • Matchable Payment links
        • Link Order(Abnormal fund)
        • Submit to platform
      • Create Payment Link
      • List Payment links
      • Get Curreny Network Config
    • External Provider
      • FE: Create stablecoin collection sub-account link
      • Create stablecoin collection sub-account link
        POST
      • Get sub wallet account
        GET
      • List sub wallet accounts
        GET
      • Change sub wallet status
        POST
      • Query stablecoin collection order list
        GET
      • Query stablecoin collection order status
        GET
      • Get quote
        GET
      • Accept stablecoin collection order
        POST
      • Reject stablecoin collection order
        POST
      • Query USD balance
        GET
      • USD Payout (withdrawal)
        POST
      • Query USD Payout order status
        GET
      • Query USD Payout order list
        GET
    • Mock
      • Mock Virtual account Payin Order
      • Mock wallet deposit transaction
      • Mock Payin Order Refund
      • Mock Payout Order Update Status
    • Pay Session
      • Request Pay Session
  • Webhooks & Events
    • Resend Fail Webhook
    • Open Virtual Account Status
    • Virtual Account Payment Status
    • Virtual Account Invoice update
    • Transaction Status Notification
    • KYB Status Notification
    • Deposit Sender Detail Required
    • Abnormal Fund Notification
    • WALLET_TRANSFER_ORDER_UPDATED
    • Sub Virtual Account RFI Required
    • Sub Wallet Update
    • wallet address whitelist Copy
    • Crypto Deposit Order Notification
    • Collect Order Updated
    • Usd Payout Order Updated
  • Appendix
    • Enum
    • Virtual Account(VA) Support List & KYB requirement
  • Release Notes & Changelog
    • Version History
  • Schemas
    • walletBalance
    • walletAddress
    • transactionRecord
  1. External Provider

Query stablecoin collection order list

GET
/v2/stable/collect/order-list
Query stablecoin collection order list with pagination. Response format aligns with virtual account order list.

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/v2/stable/collect/order-list?accountName&externalAccountId&walletId&startDate&endDate&pageNumber&pageSize'

Responses

🟢200OK
application/json
Success
Body

Example
{
  "status": 200,
  "code": null,
  "msg": "OK",
  "data": {
    "pageNumber": 1,
    "pageSize": 10,
    "totalPage": 1,
    "totalRow": 4,
    "records": [
      {
        "orderId": "726331372411275264",
        "orderStatus": "PROCESSING",
        "acceptStatus": "ACCEPTING",
        "accountName": "TestSubWallet1772688467",
        "externalAccountId": null,
        "walletId": "3095",
        "currency": "USDC",
        "amount": "190.99",
        "paymentMethod": null,
        "createTime": 1772784642000,
        "completeTime": 1720606149000,
        "walletAddress": "1544594690749788162",
        "transactionId": "mock2s0260000005",
        "payer": {
          "name": null,
          "walletAddress": "1544594690749788161",
          "walletNetwork": "ETH"
        },
        "quote": {
          "quoteId": "9dcd762a6399451f9672098c201a0517",
          "price": "1",
          "fee": "0",
          "expireTime": "2026-03-06T08:25:43Z",
          "targetCurrency": "USD",
          "targetAmount": "190.99"
        },
        "aml": {
          "amlStatus": "PASSED",
          "amlRemarks": null
        }
      },
      {
        "orderId": "726300170547609600",
        "orderStatus": "PROCESSING",
        "acceptStatus": "ACCEPTING",
        "accountName": "TestSubWallet1772688467",
        "externalAccountId": null,
        "walletId": "3095",
        "currency": "USDC",
        "amount": "190.99",
        "paymentMethod": null,
        "createTime": 1772777203000,
        "completeTime": 1720606149000,
        "walletAddress": "1544594690749788162",
        "transactionId": "mock2s0260000004",
        "payer": {
          "name": null,
          "walletAddress": "1544594690749788161",
          "walletNetwork": "ETH"
        },
        "quote": {
          "quoteId": "3e860a7856be4eae9605b499bfc6e8eb",
          "price": "1",
          "fee": "0",
          "expireTime": "2026-03-06T06:33:13Z",
          "targetCurrency": "",
          "targetAmount": "0"
        },
        "aml": {
          "amlStatus": "PASSED",
          "amlRemarks": null
        }
      },
      {
        "orderId": "726292090841705472",
        "orderStatus": "PROCESSING",
        "acceptStatus": "",
        "accountName": "TestSubWallet1772688467",
        "externalAccountId": null,
        "walletId": "3095",
        "currency": "USDC",
        "amount": "190.99",
        "paymentMethod": null,
        "createTime": 1772775277000,
        "completeTime": 1720606149000,
        "walletAddress": "1544594690749788162",
        "transactionId": "mock2s0260000003",
        "payer": {
          "name": null,
          "walletAddress": "1544594690749788161",
          "walletNetwork": "ETH"
        },
        "quote": {
          "quoteId": "961a72afa4a54e0c9638e19ad13fc4e4",
          "price": "1",
          "fee": "0",
          "expireTime": "2026-03-06T05:49:37Z",
          "targetCurrency": "",
          "targetAmount": "0"
        },
        "aml": {
          "amlStatus": "PASSED",
          "amlRemarks": null
        }
      },
      {
        "orderId": "726287906604034048",
        "orderStatus": "INIT",
        "acceptStatus": "",
        "accountName": "TestSubWallet1772688467",
        "externalAccountId": null,
        "walletId": "3095",
        "currency": "USDC",
        "amount": "190.99",
        "paymentMethod": null,
        "createTime": 1772774279000,
        "completeTime": 1720606149000,
        "walletAddress": "1544594690749788162",
        "transactionId": "mock2s0260000002",
        "payer": {
          "name": null,
          "walletAddress": "1544594690749788161",
          "walletNetwork": "ETH"
        },
        "quote": {
          "quoteId": "",
          "price": "0",
          "fee": "0.01",
          "expireTime": null,
          "targetCurrency": "",
          "targetAmount": "0"
        },
        "aml": {
          "amlStatus": null,
          "amlRemarks": null
        }
      }
    ],
    "total": null,
    "rows": null
  },
  "traceId": "Auto:677ac45ae3484befb27327d9155d7cf8",
  "success": true
}
Previous
Change sub wallet status
Next
Query stablecoin collection order status
Built with